//  This file is part of foo_ir2.
//
//  foo_ir2 is free software; you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  foo_ir2 is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with foo_ir2. If not, see <http://www.gnu.org/licenses/>.

#pragma once

#include "sdk/foobar2000/sdk/foobar2000.h"
#include "sdk/foobar2000/helpers/helpers.h"

#define SAFE_DELETE(x) { if( (x) != NULL ) delete (x); (x) = NULL; }

LPSTR UnicodeToAnsi( LPCWSTR s );
WCHAR* AnsiToUnicode( const char* src );
void g_debug( pfc::string str );
